<?xml version='1.0' encoding='ISO-8859-1'?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:f="frogs.tigris.org/XMLSchema" exclude-result-prefixes="f">
	<!--
	    (C) Peter Schut 2006
		XSLT to tranform FROGS describtion to a nice HTML Page
		It will help to document operation
	-->

<xsl:output method="html"/>

<xsl:template match="/"><head>
<style type="text/css">

H1.frogs {
	font-family: arial, helvetica; 
	padding: 0px;
    margin-top: 2px;
    margin-bottom: 2px;
    margin-left: 1px;
    margin-right: 0px;
} 

H2.frogs {
	font-family: arial, helvetica; 
	font-style: italic;
	padding: 0px;
    margin-top: 10px;
    margin-bottom: 2px;
    margin-left: 1px;
    margin-right: 0px;
} 

H3.frogs {
	font-family: arial, helvetica; 
	padding: 0px;
    margin-top: 10px;
    margin-bottom: 2px;
    margin-left: 10px;
    margin-right: 0px;
} 

H4.frogs {
	font-family: arial, helvetica; 
	padding: 0px;
    margin-top: 10px;
    margin-bottom: 2px;
    margin-left: 1px;
    margin-right: 0px;
} 

table.frogs {
	border-width: 1px;
	border: 1px;
    border-color:#000000;
	width: 100%;
}
table.frogs th {
    background-color:#ccff99;
	text-align: left;
    border: 1px solid;
}
table.frogs td {
	text-align: left;
    border: 1px solid;
}

</style>
</head>
	<html>
		<body>
			<h1 class="frogs">FROGS Summary Document</h1>
			<font size="2">Release 1.0.0</font>
			<br/>
			<h2 class="frogs">Information</h2>
			<table class="frogs">
				<tbody>
					<tr>
						<th>Name</th>
						<td>
							<xsl:value-of select="f:frogs/f:display-name"/>
						</td>
					</tr>
					<tr>
						<th>Description</th>
						<td>
							<xsl:if test="string-length(f:frogs/f:description) = 0">
							  <b>(Not defined)</b>
							</xsl:if>
							<xsl:if test="not(string-length(f:frogs/f:description) = 0)">
								<xsl:value-of select="f:frogs/f:description"/>
							</xsl:if>
						</td>
					</tr>
					<tr>
						<th>Full Path where to find FROGS Jar Packages and Class Files</th>
						<td>
							<xsl:value-of select="f:frogs/f:server-path"/>
						</td>
					</tr>
					<tr>
						<th>Timeout per call in milliseconds</th>
						<td>
							<xsl:if test="f:frogs/f:thread-timeout = 0">Infinite 
								<b>(NB:Not defined. Dangerous for long running process)</b>
							</xsl:if>
							<xsl:if test="not(f:frogs/f:thread-timeout = 0)">
							  <xsl:value-of select="f:frogs/f:thread-timeout"/> millesconds
							</xsl:if>
						</td>
					</tr>
					<tr>
						<th>Method to sort</th>
						<td>
							<xsl:if test="string-length(f:frogs/f:sort-priority) = 0">Sort From Highest To Lowest Most Recent First </xsl:if>
							<xsl:if test="not(string-length(f:frogs/f:sort-priority) = 0)">
							  <xsl:value-of select="f:frogs/f:sort-priority"/>
							</xsl:if>
						</td>
					</tr>
					<tr>
						<th>Check 'getCapabilities' on FROGS loading process</th>
						<td>
							<xsl:if test="string-length(f:frogs/f:is-GetCapabilities-to-be-checked-on-load) = 0">
								  <b>(Not defined. Default false)</b>
								</xsl:if>
							<xsl:if test="not(string-length(f:frogs/f:is-GetCapabilities-to-be-checked-on-load) = 0)">
								<xsl:value-of select="f:frogs/f:is-GetCapabilities-to-be-checked-on-load"/>
							</xsl:if>
						</td>
					</tr>
					<tr>
						<th>Use this encoding if not specify by the PlugIn</th>
						<td>
							<xsl:if test="string-length(f:frogs/f:service-encoding) = 0">
								<b>(Not defined. Default UTF-8)</b>
							</xsl:if>
							<xsl:if test="not(string-length(f:frogs/f:service-encoding) = 0)">
								  <xsl:value-of select="f:frogs/f:service-encoding"/>
								</xsl:if>
						</td>
					</tr>
					<tr>
						<th>Exception Report Service/Version to use if not define by the PlugIn</th>
						<td>
							<xsl:if test="string-length(f:frogs/f:exception-report-service) = 0">
								  <b>(Not defined. Default OWS)</b>
								</xsl:if>
							<xsl:if test="not(string-length(f:frogs/f:exception-report-service) = 0)">
								<xsl:value-of select="f:frogs/f:exception-report-service"/>
							</xsl:if>
							<xsl:if test="string-length(f:frogs/f:exception-report-version) = 0">
								  <b>- (Not defined. Default 0.3.2)</b>
								</xsl:if>
							<xsl:if test="not(string-length(f:frogs/f:exception-report-version) = 0)"> - 
								<xsl:value-of select="f:frogs/f:exception-report-version"/>
							</xsl:if>
						</td>
					</tr>
					<tr>
						<th>Maximum bytes per call</th>
						<td>
							<xsl:if test="string-length(f:frogs/f:max-length-request) = 0">
								  <b>(Not defined. Let the J2EE Server assumes it)</b>
								</xsl:if>
							<xsl:if test="not(string-length(f:frogs/f:max-length-request) = 0)">
								<xsl:value-of select="f:frogs/f:max-length-request"/>
							</xsl:if>
						</td>
					</tr>
					<tr>
						<th>Ask FROGS to validate XML only, other request will be rejected</th>
						<td>
							<xsl:if test="string-length(f:frogs/f:is-xml-validator-only) = 0">
								  <b>(Not defined. Default false)</b>
								</xsl:if>
							<xsl:if test="not(string-length(f:frogs/f:is-xml-validator-only) = 0)">
								<xsl:value-of select="f:frogs/f:is-xml-validator-only"/>
							</xsl:if>
						</td>
					</tr>
					<tr>
						<th>Full delagation allowed without restriction?</th>
						<td>
							<xsl:if test="string-length(f:frogs/f:is-classloader-delagated) = 0">
								  <b>(Not defined. Default false)</b>
								</xsl:if>
							<xsl:if test="not(string-length(f:frogs/f:is-classloader-delagated) = 0)">
								<xsl:value-of select="f:frogs/f:is-classloader-delagated"/>
							</xsl:if>
						</td>
					</tr>
					<tr>
						<th>Package Name to delegate at J2EE Server:</th>
						<td>
							<xsl:for-each select="f:frogs/f:package-delagate/f:resource-name">
								<xsl:value-of select="text()"/>, 
							</xsl:for-each>
						</td>
					</tr>
					<tr>
						<th>Allow to publish 'getCapabilities' to CAT2 Registry Server</th>
						<td>
							<xsl:if test="string-length(f:frogs/f:is-allowed-to-publish) = 0">
								<b>(Not defined. Default false)</b>
							</xsl:if>
							<xsl:if test="not(string-length(f:frogs/f:is-allowed-to-publish) = 0)">
								  <xsl:value-of select="f:frogs/f:is-allowed-to-publish"/>
								</xsl:if>
						</td>
					</tr>
					<tr>
						<th>CAT2 Registry Server(s):</th>
						<td>
							<xsl:for-each select="f:frogs/f:cat2-registry-server-url">
								<xsl:value-of select="text()"/>,
							</xsl:for-each>
						</td>
					</tr>
					<tr>
						<th>Global parameters: 
							<br/>NB1:%LOCALHOST% will be replaced by the local machine
							<br/>
							<br/>NB2:%SERVER_NAME% will be replaced by the server machine name
							<br/>
							<br/>NB3:Any global name here could be used in other parameter
							<br/>list in using his name between percentage (%NAME%)
							<br/>
							
						</th>
						<td>
							<xsl:for-each select="f:frogs/f:global-param">
								<table class="frogs">
									<tbody>
										<tr>
											<th width="45%">
												<xsl:value-of select="f:param-name"/>
											</th>
											<td>
												<xsl:value-of select="f:param-value"/>
											</td>
										</tr>
									</tbody>
								</table>
							</xsl:for-each>
						</td>
					</tr>
				</tbody>
			</table>
			<br/>
			<h2 class="frogs">PlugIn(s) Information</h2>
			<br/>
			<table class="frogs">
				<tbody>
					<xsl:for-each select="f:frogs/f:plugIn">
						<tr>
						    <h3 class="frogs"><xsl:value-of select="f:plugIn-display-name"/></h3>
							<table class="frogs">
								<tbody>
									<tr>
									    <td width="20" /><th width="200">Name</th>
											<td>
												<xsl:value-of select="f:plugIn-name"/>
											</td>
									</tr>
									<tr>
										<td width="20" /><th width="200">Version</th>
											<td>
												<xsl:value-of select="f:plugIn-version"/>
											</td>
									</tr>
									<tr>
										<td width="20" /><th width="200">Description</th>
											<td>
												<xsl:if test="string-length(f:description) = 0">
												  <b>(Not defined)</b>
												</xsl:if>
												<xsl:if test="not(string-length(f:description) = 0)">
													<xsl:value-of select="f:description"/>
											    </xsl:if>
											</td>
									</tr>
									<tr>
										<td width="20" /><th width="200">Class name to invoke the PlugIn</th>
											<td>
												<xsl:value-of select="f:plugIn-class-name"/>
											</td>
									</tr>
									<tr>
										<td width="20" /><th width="200">Jar Path(s)</th>
											<td>
												<xsl:for-each select="f:relative-plugIn-jar-classes-path/f:resource-name">
													<xsl:value-of select="text()"/>,
												</xsl:for-each>
											</td>
									</tr>
									<tr>
										<td width="20" /><th width="200">Is the most recent PlugIn to use first?</th>
											<td>
												<xsl:if test="string-length(f:is-most-recent-plugIn) = 0">
												  <b>(Not defined. Default false)</b>
												</xsl:if>
												<xsl:if test="not(string-length(f:is-most-recent-plugIn) = 0)">
													<xsl:value-of select="f:is-most-recent-plugIn"/>
											    </xsl:if>
											</td>
									</tr>
									<tr>
										<td width="20" /><th width="200">Encoding</th>
											<td>
												<xsl:if test="string-length(f:plugIn-encoding) = 0">
												  <b>(Not defined. Default UTF-8)</b>
												</xsl:if>
												<xsl:if test="not(string-length(f:plugIn-encoding) = 0)">
													<xsl:value-of select="f:plugIn-encoding"/>
											    </xsl:if>
											</td>
									</tr>
									<tr>
										<td width="20" /><th width="200">Mimetype</th>
											<td>
												<xsl:if test="string-length(f:plugIn-mimetype) = 0">
												  <b>(Not defined. Default test/xml)</b>
												</xsl:if>
												<xsl:if test="not(string-length(f:plugIn-mimetype) = 0)">
													<xsl:value-of select="f:plugIn-mimetype"/>
											    </xsl:if>
											</td>
									</tr>
									<tr>
										<td width="20" /><th width="200">URL Main Page to call if there an Web Page interface</th>
											<td>
												<xsl:if test="string-length(f:plugIn-url-main-page) = 0">
												  <b>(Not defined)</b>
												</xsl:if>
												<xsl:if test="not(string-length(f:plugIn-url-main-page) = 0)">
													<xsl:value-of select="f:plugIn-url-main-page"/>
											    </xsl:if>
											</td>
									</tr>
									<tr>
										<td width="20" /><th width="200">Is Disabled?</th>
											<td>
												<xsl:if test="string-length(f:is-plugIn-disabled) = 0">
												  <b>(Not defined. Default false)</b>
												</xsl:if>
												<xsl:if test="not(string-length(f:is-plugIn-disabled) = 0)">
													<xsl:value-of select="f:is-plugIn-disabled"/>
											    </xsl:if>
											</td>
									</tr>
									<tr>
										<td width="20" /><th width="200">Is to be cached? (usually for speed issue)</th>
											<td>
												<xsl:if test="string-length(f:is-plugIn-cached) = 0">
												  <b>(Not defined. Default false)</b>
												</xsl:if>
												<xsl:if test="not(string-length(f:is-plugIn-cached) = 0)">
													<xsl:value-of select="f:is-plugIn-cached"/>
											    </xsl:if>
											</td>
									</tr>
									<tr>
										<td width="20" /><th width="200">Exception Code associate (WPS, WMS, WFS, etc..)</th>
											<td>
												<xsl:if test="string-length(f:plugIn-exception-code) = 0">
												  <b>(Not defined. Use the code declared at the top)</b>
												</xsl:if>
												<xsl:if test="not(string-length(f:plugIn-exception-code) = 0)">
													<xsl:value-of select="f:plugIn-exception-code"/>
											    </xsl:if>
											</td>
									</tr>
									<tr>
										<td width="20" /><th width="200">Is exclusivily used for validation?</th>
											<td>
												<xsl:if test="string-length(f:is-plugIn-for-validation-only) = 0">
												  <b>(Not defined. Default false)</b>
												</xsl:if>
												<xsl:if test="not(string-length(f:is-plugIn-for-validation-only) = 0)">
													<xsl:value-of select="f:is-plugIn-for-validation-only"/>
											    </xsl:if>
											</td>
									</tr>

								</tbody>
							</table>
						</tr>
						<tr>
							<xsl:for-each select="f:operation">
							<table class="frogs">
							<tr>
							    <td width="20"></td>
								<td>
							    <h4>Operation <u><i><xsl:value-of select="f:operation-name"/></i></u></h4>
								<table class="frogs">
									<tbody>
										<tr>
										    <td width="20" />
											<th width="200">Description</th>
											<td>
												<xsl:if test="string-length(f:description) = 0">
												  <b>(Not defined)</b>
												</xsl:if>
												<xsl:if test="not(string-length(f:description) = 0)">
													<xsl:value-of select="f:description"/>
											    </xsl:if>
											</td>
										</tr>
										<tr>
										    <td width="20" />
											<th width="200">URL Pattern</th>
											<td>
												<xsl:if test="string-length(f:url-pattern) = 0">
												  <b>(Not defined)</b>
												</xsl:if>
												<xsl:if test="not(string-length(f:url-pattern) = 0)">
													<xsl:value-of select="f:url-pattern"/>
											    </xsl:if>
											</td>
										</tr>
										<tr>
										    <td width="20" />
											<th width="200">Is this operation must publish is getCapabilities to a CAT2 registry Server?</th>
											<td>
												<xsl:if test="string-length(f:is-getCapabilitiesPublishable) = 0">
												  <b>(Not defined. Default false)</b>
												</xsl:if>
												<xsl:if test="not(string-length(f:is-getCapabilitiesPublishable) = 0)">
													<xsl:value-of select="f:is-getCapabilitiesPublishable"/>
											    </xsl:if>
											</td>
										</tr>

										<tr>
										    <td width="20" />
											<th width="200">Static URL to include in the getCapabilties instead of the current server where the operation is sit</th>
											<td>
												<xsl:if test="string-length(f:operation-static-url) = 0">
												  <b>(Not defined)</b>
												</xsl:if>
												<xsl:if test="not(string-length(f:operation-static-url) = 0)">
													<xsl:value-of select="f:operation-static-url"/>
											    </xsl:if>
											</td>
										</tr>
										<tr>
										    <td width="20" />
											<th width="200">Is this operation must negociated with client?</th>
											<td>
												<xsl:if test="string-length(f:is-operation-negociated) = 0">
												  <b>(Not defined. Default false)</b>
												</xsl:if>
												<xsl:if test="not(string-length(f:is-operation-negociated) = 0)">
													<xsl:value-of select="f:is-operation-negociated"/>
											    </xsl:if>
											</td>
										</tr>
										<tr>
										    <td width="20" />
											<th width="200">Jar Path(s) to load PlugIn</th>
											<td>
												<xsl:for-each select="f:relative-operation-jar-classes-path/f:resource-name">
													<xsl:value-of select="text()"/>,
												</xsl:for-each>
											</td>
										</tr>
										<tr>
										    <td width="20" />
											<th width="200">Parameter(s) for the PlugIn to work properly</th>
											<td>
												<xsl:for-each select="f:init-param">
													<table class="frogs">
														<tbody>
															<tr>
																<th width="45%">
																	<xsl:value-of select="f:param-name"/>
																</th>
																<td>
																	<xsl:value-of select="f:param-value"/>
																</td>
															</tr>
														</tbody>
													</table>
												</xsl:for-each>

											</td>
										</tr>
										<tr>
											<xsl:for-each select="f:request">
											<table class="frogs">
											<tr>
											    <td width="20"></td>
												<td>
											    <h5>Request <u><i><xsl:value-of select="f:request-name"/></i></u></h5>
												<table class="frogs">
													<tbody>
														<tr>
														    <td width="20" />
															<th width="200">KVP Request Name</th>
															<td>
																<xsl:value-of select="f:request-name"/>
															</td>
														</tr>
														<tr>
														    <td width="20" />
															<th width="200">Java Class Name to invoke</th>
															<td>
																<xsl:value-of select="f:request-class-name"/>
															</td>
														</tr>
														<tr>
														    <td width="20" />
															<th width="200">Description</th>
															<td>
																<xsl:if test="string-length(f:description) = 0">
																  <b>(Not defined)</b>
																</xsl:if>
																<xsl:if test="not(string-length(f:description) = 0)">
																	<xsl:value-of select="f:description"/>
															    </xsl:if>
															</td>
														</tr>
														<tr>
														    <td width="20" />
															<th width="200">On testing process, are any errors thrown must be ignored?</th>
															<td>
																<xsl:if test="string-length(f:is-pretesting-ignored) = 0">
																  <b>(Not defined)</b>
																</xsl:if>
																<xsl:if test="not(string-length(f:is-pretesting-ignored) = 0)">
																	<xsl:value-of select="f:is-pretesting-ignored"/>
															    </xsl:if>
															</td>
														</tr>



													</tbody>
												</table>
												</td>
											</tr>
											</table>

											</xsl:for-each>


										</tr>


									</tbody>
								</table>
								</td>
							</tr>
							</table>

							</xsl:for-each>
						</tr>

					</xsl:for-each>
				</tbody>
			</table>
		</body>
	</html>
</xsl:template>

</xsl:stylesheet><!-- Stylesheet edited using Stylus Studio - (c) 2004-2005. Progress Software Corporation. All rights reserved. --><!-- Stylesheet edited using Stylus Studio - (c) 2004-2005. Progress Software Corporation. All rights reserved. --><!-- Stylesheet edited using Stylus Studio - (c) 2004-2005. Progress Software Corporation. All rights reserved. -->